%define name fresco
%define version 0.0
%define milestone M2
%define release 0.%{milestone}.1mdk
%define lib_major 0
%define lib_name %mklibname %{name} %{lib_major}

Name:		%{name}
Summary:	Windowing system
Version:	%{version}
Release:	%{release}
Source:		Fresco-%{milestone}.tar.bz2
URL:		http://www.fresco.net
Group:		Graphical desktop/Other
License:	LGPL

Provides:	%{name}
Requires:	%{lib_name} = %{version}-%{release}
BuildRequires:	libpng-devel
BuildRequires:	gcc-c++ >= 3.2.1
# not needed for milestone release
# BuildRequires:	autoconf2.5 >= 2.53
BuildRequires:	libMesaGLU1-devel
BuildRequires:	libomniorb-devel >= 3.0
BuildRequires:	libomniorbpy-devel >= 2.0
BuildRequires:	libggi-devel >= 2.0
BuildRequires:	libSDL-devel >= 1.2
BuildRequires:	Mesa-devel >= 4.0.3
BuildRequires:	libart_lgpl-devel >= 1.2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Fresco is a windowing system derived from a powerful
structured graphics toolkit originally based on InterViews.
Fresco extends earlier incarnations to the status of a
full windowing system, in command of the video hardware
(via GGI, SDL, DirectFB or GLUT) and processing user input
directly rather than peering with a host windowing system.
Fresco is not yet ready to replace X (or any other windowing system)
for even the most adventurous of users.

%package -n %{lib_name}
Summary:        Shared library for %{name}.
Group:          System/Libraries
Provides:       %{lib_name} = %{version}-%{release}

%description -n %{lib_name}
This are the libraries from %{name} That are need
to use programs that use it (like GUIs).

%package -n %{lib_name}-devel
Summary: The development libraries and header files for %{name}.
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
These are the header files from %{name} that are needed
to create programs that use it.

%prep
rm -rf %buildroot
%setup -n Fresco-%{milestone}

%build
# not needed for milestone release
# WANT_AUTOCONF_2_5=1 autoconf
%configure --with-opengl-prefix=%{_prefix}/X11R6
%make

%install
%makeinstall

%clean
rm -rf %buildroot

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,755)
%doc INSTALL LICENSE README
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/*
%{_datadir}/Berlin/*
%{_datadir}/idl/*

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/python*
%_libdir/*.so
%_libdir/Berlin
%_libdir/Babylon

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_includedir}/*

%changelog
* Mon May 19 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0-0.M2.1mdk
- from Olivier Blin <oliv.blin@laposte.net> : 
	- Initial release for Mandrake
